Subject: RE: [IANA #804727] Last Call: <draft-ietf-6man-enhanced-dad-12.txt> (Enhanced Duplicate Address Detection) to Proposed Standard

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Fri, 6 Feb 2015 17:19:55 +0000

Pearl,

Humble apologies for the delay.   Thanks for the review.

What do other folks say?  Should we remove the IANA section from the document or keep it?  The text of the IANA section in the document is as follows:

[7.  IANA Considerations

   None.]

I am about to release a new version from Hilarie's review but would like to wait pending this IANA question's resolution.

Thanks,

Hemant

-----Original Message-----
From: Pearl Liang via RT [mailto:[email-masked]] 
Sent: Tuesday, January 27, 2015 2:14 PM
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: [IANA #804727] Last Call: <draft-ietf-6man-enhanced-dad-12.txt> (Enhanced Duplicate Address Detection) to Proposed Standard

(BEGIN IANA LAST CALL COMMENTS)

IESG/Authors/WG Chairs:

IANA has reviewed draft-ietf-6man-enhanced-dad-12 which is currently in Last Call, and has the following comments:

We understand that, upon approval of this document, there are no IANA Actions that need completion. 

While it is helpful for the IANA Considerations section of the document to remain in place upon publication, if the authors prefer to remove it, IANA doesn't object.

If this assessment is not accurate, please respond as soon as possible.

Thanks,

Pearl Liang
ICANN

(END IANA LAST CALL COMMENTS)

On Tue Jan 20 14:57:59 2015, [email-masked] wrote:
> 
> The IESG has received a request from the IPv6 Maintenance WG (6man) to 
> consider the following document:
> - 'Enhanced Duplicate Address Detection'
>   <draft-ietf-6man-enhanced-dad-12.txt> as Proposed Standard
> 
> The IESG plans to make a decision in the next few weeks, and solicits 
> final comments on this action. Please send substantive comments to the 
> [email-masked] mailing lists by 2015-02-03. Exceptionally, comments may 
> be sent to [email-masked] instead. In either case, please retain the 
> beginning of the Subject line to allow automated sorting.
> 
> Abstract
> 
> 
>    IPv6 Loopback Suppression and Duplicate Address Detection (DAD) are
>    discussed in Appendix A of RFC4862.  That specification mentions a
>    hardware-assisted mechanism to detect looped back DAD messages.  If
>    hardware cannot suppress looped back DAD messages, a software
>    solution is required.  Several service provider communities have
>    expressed a need for automated detection of looped back Neighbor
>    Discovery (ND) messages used by DAD.  This document includes
>    mitigation techniques and outlines the Enhanced DAD algorithm to
>    automate the detection of looped back IPv6 ND messages used by DAD.
>    For network loopback tests, the Enhanced DAD algorithm allows IPv6 to
>    self-heal after a loopback is placed and removed.  Further, for
>    certain access networks the document automates resolving a specific
>    duplicate address conflict.  This document updates RFC4861, RFC4862,
>    and RFC4429.
> 
> 
> 
> 
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-ietf-6man-enhanced-dad/
> 
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-ietf-6man-enhanced-dad/ballot/
> 
> 
> No IPR declarations have been submitted directly on this I-D.
> 
>

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Fri, 6 Feb 2015 17:40:32 +0000

Pearl,

Ok, sounds good - thanks much.  Then let me post the new version with the IANA section retained in the document. 

Hemant

-----Original Message-----
From: Pearl Liang via RT [mailto:[email-masked]] 
Sent: Friday, February 06, 2015 12:37 PM
Cc: Hemant Singh (shemant); [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: [IANA #807601] RE: Last Call: <draft-ietf-6man-enhanced-dad-12.txt> (Enhanced Duplicate Address Detection) to Proposed Standard

Hi Hemant,

On Fri Feb 06 17:20:21 2015, [email-masked] wrote:
> What do other folks say?  Should we remove the IANA section from the 
> document or keep it?  The text of the IANA section in the document is 
> as follows:
> 
> [7.  IANA Considerations
> 
> None.]
>

For clarity purposes, would it be okay to keep it until the draft has been approved?  
The RFC Editor can remove it if you prefer.

Thanks,
~pl

> I am about to release a new version from Hilarie's review but would 
> like to wait pending this IANA question's resolution.
> 
> Thanks,
> 
> Hemant
> 
> Cc: [email-masked]; draft-ietf-6man-enhanced- 
> [email-masked]; [email-masked]; [email-masked]
> Subject: [IANA #804727] Last Call: <draft-ietf-6man-enhanced-dad- 
> 12.txt> (Enhanced Duplicate Address Detection) to Proposed Standard
> 
> IANA has reviewed draft-ietf-6man-enhanced-dad-12 which is currently 
> in Last Call, and has the following comments:
> 
> While it is helpful for the IANA Considerations section of the 
> document to remain in place upon publication, if the authors prefer to 
> remove it, IANA doesn't object.
> 
> > The IESG has received a request from the IPv6 Maintenance WG (6man) 
> > to consider the following document:
> > The IESG plans to make a decision in the next few weeks, and 
> > solicits final comments on this action. Please send substantive 
> > comments to the [email-masked] mailing lists by 2015-02-03. 
> > Exceptionally, comments may be sent to [email-masked] instead. In 
> > either case, please retain the beginning of the Subject line to 
> > allow automated sorting.
> >
> > Abstract
> >
> >
> > For network loopback tests, the Enhanced DAD algorithm allows IPv6 
> > to self-heal after a loopback is placed and removed.  Further, for

---

From: "Pearl Liang via RT" <[email-masked]>
Date: Fri, 06 Feb 2015 17:37:18 +0000

Hi Hemant,

Thanks,
~pl